SwordEmitter = {}
SwordEmitter.__index = SwordEmitter

function SwordEmitter.LoadAssets(me)
	LoadModel(me,"Square","Billboard")
	--LoadModel(me,"Fire.png","Sprite")
end

function SwordEmitter:Params(me)
	SetMaxSize(me,20)
end

function SwordEmitter:Create(me)
	Persistant(me,true)
	Emit(me,10)
end

function SwordEmitter:Update(me)
	EmitterGlobalAlpha(me,1 - GetOverSoul()/100)
	LerpLine(me, 0, 10)
end